# Startup file for Master Timing IOC
#
# Hardware needed:
#   EVR100 at A16:0x8800
#   EVG100 at A16:0x8940
#   Additional hardware to feed events and generate 10MHz

# Only proven so far on mv167 & mv172 CPUs running VxWorks 5.5.2,
# and not using this particular application or st.cmd file.

< cdCommands

cd topbin
ld 0,0,"test.munch"

#erTimeMasterDebug = 5
erTimeProviderDebug = 3

# Args: Card number, A16 base-addr, int-vec, int-level
ErConfigure(0, 0x8800, 0x60, 5)

# Args: Card number, A16 base addr
EgConfigure(0, 0x8940)

# Args: Tick-rate, sync-report-threshold, NTP-report-threshold (ms)
ErTimeMasterConfigure(1000000, 1, 0)

cd top
dbLoadDatabase("dbd/test.dbd")
test_registerRecordDeviceDriver(pdbbase)

dbLoadRecords("db/eventMaster.db","P=MTST:")
dbLoadRecords("db/xxEvr100hb.db", "ioc=IOCMTEST")

cd startup
iocInit()

