#include "dbBase.h"
#include "link.h"
#include <errlog.h>
#include <devSup.h>
#include <devLib.h>
#include <recGbl.h>
#include <subRecord.h>
#include <dbAccessDefs.h>

#include <erTimeMaster.h>

/* Send out a tick reset packet after the event arived */

long subTickResetInit(struct subRecord *prec)
{
    tmTickResetInit();

    return 0;
}

long subTickReset(struct subRecord *prec)
{
    long status = tmTickReset();

    if (status < 0) {
        errlogPrintf("%s -> subTickReset: tmTickReset() failed\n", prec->name);
        return S_dev_internal;
    }
    return 0;
}
